function CheckArgumentCount($argumentList, $count)
{
<#
.SYNOPSIS
Проверяет соответсвие количества переданных функции параметров их требуемому количеству

.DESCRIPTION

.PARAMETER argumentList 
Список параметров функции
.PARAMETER count 
Количество требуемых параметров

.EXAMPLE 
CheckArgumentCount $argumentList 2

.NOTES
#>
	if ($argumentList.Length -ne $count)
	{
	    Write-Host $($MSG_MISSING_ARGUMENT_COUNT -f $MSG_ARGUMENT_LIST, $MSG_SCRIPT_USAGE, $MSG_COMMAND_EXAMPLE) -ForegroundColor Magenta
		return $false
	}
	return $true
}

function CheckArgumentCountRange($argumentList, $minCount, $maxCount)
{
<#
.SYNOPSIS
Проверяет принадлежность количества переданных функции параметров заданному диапазону

.DESCRIPTION

.PARAMETER argumentList 
Список параметров функции
.PARAMETER minCount 
Минимальное количество требуемых параметров
.PARAMETER minCount 
Максимальное количество требуемых параметров

.EXAMPLE 
CheckArgumentCount $argumentList 3 8

.NOTES
#>
	if (!($argumentList.Length -ge $minCount -and $argumentList.Length -le $maxCount))
	{
	    Write-Host $($MSG_MISSING_ARGUMENT_COUNT -f $MSG_ARGUMENT_LIST, $MSG_SCRIPT_USAGE, $MSG_COMMAND_EXAMPLE) -ForegroundColor Magenta
		return $false
	}
	return $true
}